import { _ as h } from "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import { V as k, d as P, c as R, o as B, w as o, j as e, X as M, W as S, l as t, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as T } from "./BasicForm-dL_oCSPM.js";
import { B as w } from "./Table-0PViRYCf.js";
import { c as y, __tla as __tla_1 } from "./schemas-C5Mwn7qw.js";
import { a as E } from "./equipmentMainLibrary-bJTzj5mC.js";
import { u as F } from "./useModal-CO65vga3.js";
import { u as N } from "./useForm-CKmgcynv.js";
let G;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    let n, x;
    ({ t: n } = k());
    x = [
        {
            title: n("unPlannedJob.equipmentCodeCols.equipmentCode"),
            key: "productCode"
        },
        {
            title: n("unPlannedJob.equipmentCodeCols.equipmentName"),
            key: "productName"
        },
        {
            title: n("unPlannedJob.equipmentCodeCols.itemDescription"),
            key: "itemDescription"
        },
        {
            title: n("unPlannedJob.equipmentCodeCols.critical"),
            key: "critical"
        }
    ];
    G = P({
        __name: "equipmentCodeModal",
        setup (D, { expose: c }) {
            const [i, { openModal: m, closeModal: J, setSubLoading: O, setProps: u }] = F({
                title: "Equipment Code",
                width: 1200
            }), { searchSchemas: p } = y(), [d, { getFieldsValue: V }] = N({
                gridProps: {
                    cols: 6
                },
                schemas: p,
                labelPlacement: "left",
                showAdvancedButton: !1
            });
            function _(s, l) {
                return E({
                    ...s,
                    ...l,
                    belongToModel: "000000000",
                    model: "000000000",
                    productCode: "201.01",
                    productName: "STERN FRAME"
                });
            }
            function f() {
                u({
                    title: "Equipment Code Selector"
                }), m();
            }
            function C() {}
            return c({
                handleOpenModal: f
            }), (s, l)=>{
                const b = T, r = S, g = M, q = h;
                return B(), R(q, {
                    ref: "modalRef",
                    onRegister: t(i),
                    onOnOk: C
                }, {
                    default: o(()=>[
                            e(g, null, {
                                default: o(()=>[
                                        e(r, null, {
                                            default: o(()=>[
                                                    e(b, {
                                                        onRegister: t(d)
                                                    }, null, 8, [
                                                        "onRegister"
                                                    ])
                                                ]),
                                            _: 1
                                        }),
                                        e(r, null, {
                                            default: o(()=>[
                                                    e(t(w), {
                                                        ref: "basicTableRef",
                                                        columns: t(x),
                                                        request: (a)=>_(a, {}),
                                                        "row-key": (a)=>a.id,
                                                        autoScrollX: !0,
                                                        "virtual-scroll": ""
                                                    }, null, 8, [
                                                        "columns",
                                                        "request",
                                                        "row-key"
                                                    ])
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            })
                        ]),
                    _: 1
                }, 8, [
                    "onRegister"
                ]);
            };
        }
    });
});
export { G as _, __tla };
